package com.njzscloud.supervisory.sys.operationManual.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.supervisory.sys.operationManual.pojo.OperationManualEntity;

import java.util.List;

/**
 * 操作记录表
 */
public interface OperationManualService extends IService<OperationManualEntity> {

    /**
     * 新增
     */
    void add(OperationManualEntity operationManualEntity);

    /**
     * 修改
     */
    void modify(OperationManualEntity operationManualEntity);

    /**
     * 删除
     */
    void del(List<Long> ids);

    /**
     * 详情
     */
    OperationManualEntity detail(Long id);

    /**
     * 分页查询
     */
    PageResult<OperationManualEntity> paging(PageParam pageParam, OperationManualEntity operationManualEntity);

    void enabled(Long id, Boolean enable);

    List<OperationManualEntity> appShow();

}